功能简介
这个工具检查邮箱地址的格式是否正确。粘贴一个地址或一整份列表,每个地址都会标出有效或无效,并说明原因,比如缺少 @、连续两个点、域名里没有点号、包含不允许的字符。导入邮件列表前清洗数据、核对表单校验规则、在 CSV 导出里找出那一行坏数据,都可以用它。
它只检查格式。 工具不会连接任何邮件服务器,所以无法判断邮箱是否真实存在、能否收信。
使用方法
- 把地址粘贴到输入框,每行一个。逗号和分号也能作为分隔符,可以直接粘贴邮件的收件人一栏。
- 输入的同时显示结果,顶部汇总有效和无效的数量。
- 用「显示」切换全部、只看有效或只看无效。「去除重复」会删掉重复地址,域名部分不区分大小写。
- 点「复制有效地址」,每行一个复制干净的列表。
也支持带显示名称的写法:Bob Smith <bob@example.com> 会按 bob@example.com 校验,并提示已去掉名称。
检查哪些内容
- 只有一个
@(引号内除外),两边都不能为空。 - 整个地址不超过 254 个字符,
@前面的部分不超过 64 个字符。 - 用户名部分只用允许的字符,不能以点号开头或结尾,也不能连续两个点。带引号的写法如
"john doe"@example.org合法,但会给出提示。 - 域名至少有两段,每段 1–63 个字母、数字或连字符,不能以连字符开头或结尾,顶级域名要像真实的后缀。
admin@[192.168.0.1]这类 IP 地址写法合法,但会给出提示。 - 常见邮箱域名的拼写错误(如
gmial.com、qq.con)会给出「是不是想写」的建议。
示例
alice@example.com 有效
lisi@gmial.com 有效,是不是想写 lisi@gmail.com?
two@@example.com 无效:有多个 @
user@localhost 无效:域名里需要有点号
用户@例子.中国 有效,国际化地址 常见问题
› 能检查邮箱是否真实存在吗?
不能。这个工具只检查格式,不会查询或连接域名的邮件服务器,所以格式正确的地址仍可能退信。确认邮箱存在需要服务器参与,最可靠的方法是发送一封确认邮件。
› 地址会被上传吗?
不会。所有检查都在浏览器里完成,你的邮件列表不会离开设备。
› 依据什么规则校验?
依据 RFC 5321 和 RFC 5322 的地址语法,以及 RFC 6531 的国际化邮箱地址。地址里带注释之类的过时写法会被判为无效,因为几乎没有邮件系统接受它们。
› 为什么有效地址也会有提示?
有些地址合法但有风险:疑似拼写错误(如 gmial.com)、用 IP 地址代替域名、带引号的用户名,或包含部分服务器不接受的非 ASCII 字符。这些地址仍然算作有效。